<template>
  <div class="people-list">
    <div class="container">
      <div class="people-wrap">
        <div
          v-for="d in data"
          :key="d.id"
          class="people"
          @click="showDialog(d)"
        >
          <AppImg :src="d.image" class="image" />

          <div v-if="d.th_name" class="body1 th-name">{{ d.th_name }}</div>

          <div v-if="d.en_name" class="body2 en-name">{{ d.en_name }}</div>

          <div v-if="d.position" class="body2 position">{{ d.position }}</div>

          <div v-if="d.company" class="body2 company">{{ d.company }}</div>
        </div>
      </div>
    </div>

    <el-dialog
      :visible.sync="show_dialog"
      :width="$mq === 'mobile' ? '90%' : '960px'"
      top="10vh"
      class="dialog-people"
    >
      <button class="btn-close" @click="show_dialog = false">
        <Close24 />
      </button>

      <div v-if="people" class="content">
        <div class="left">
          <AppImg :src="people.image" />

          <div v-if="people.th_name" class="body1 th-name">
            {{ people.th_name }}
          </div>

          <div v-if="people.en_name" class="body2 en-name">
            {{ people.en_name }}
          </div>

          <div v-if="people.position" class="body2 position">
            {{ people.position }}
          </div>
        </div>

        <div class="right">
          <div
            v-html="$replaceMediaPath(people.biography)"
            class="rich-text"
          ></div>
        </div>
      </div>
    </el-dialog>
  </div>
</template>

<script>
export default {
  props: {
    data: {
      type: Array,
      default: () => {
        return [];
      },
    },
  },
  data() {
    return {
      show_dialog: false,
      people: null,
    };
  },
  methods: {
    showDialog(people) {
      this.show_dialog = true;
      this.people = people;
    },
  },
};
</script>

<style lang="scss" scoped>
.people-list {
  padding: 40px 0 80px 0;
  border-top: 1px solid $color-primary-500;
  @include media-breakpoint(mobile) {
    padding: 0 0 40px 0;
  }
  .th-name,
  .en-name {
    font-weight: bold;
  }
  .position,
  .company {
    color: $color-text-medium;
    font-weight: normal;
  }
  .people-wrap {
    display: flex;
    flex-wrap: wrap;
    margin: 0 -24px;
    .people {
      width: 25%;
      padding: 0 24px;
      margin-top: 40px;
      cursor: pointer;
      border-right: 1px solid $color-primary-500;
      @include media-breakpoint(mobile) {
        width: 50%;
      }
      .image {
        margin-bottom: 20px;
        width: 100%;
        background: $color-basic-grey;
        aspect-ratio: 3/4;
      }
    }
    .people:nth-child(4n) {
      border-right: none;
    }
    @include media-breakpoint(mobile) {
      .people:nth-child(2n) {
        border-right: none;
      }
    }
  }
  .dialog-people {
    ::v-deep {
      .el-dialog {
        border-radius: 0;
        width: 960px;
        height: 80vh;
        overflow-y: auto;
        .el-dialog__header {
          display: none;
        }
        .el-dialog__body {
          padding: 40px;
          color: black;
          @include media-breakpoint(mobile) {
            padding: 24px;
          }
          .btn-close {
            margin-left: auto;
            background: $color-primary-500;
            color: white;
            width: 40px;
            height: 40px;
            border: none;
            display: flex;
            align-items: center;
            justify-content: center;
          }
          .content {
            display: flex;
            margin-top: 24px;
            @include media-breakpoint(mobile) {
              display: block;
            }
            .left {
              width: 280px;
              flex: none;
              margin-right: 40px;
              @include media-breakpoint(mobile) {
                width: 100%;
                margin-right: 0;
              }
              img {
                width: 100%;
                height: 350px;
                margin-bottom: 20px;
                background: $color-basic-grey;
              }
            }
            .right {
              flex: 1;
              padding: 20px;
              border: 1px solid $color-primary-500;
              @include media-breakpoint(mobile) {
                margin-top: 24px;
              }
            }
          }
        }
      }
    }
  }
}
</style>
